Bug 1303159 - oc log is DEPRECATED but we still have it referenced
oc log is DEPRECATED but we still have it referenced
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ashley Hardin
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 12:57 EST by Eric Jones
Modified: 2016-02-15 11:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-15 11:03:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2016-01-29 12:57:05 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#securing-the-registry

Section Number and Name: 
2.6.6 Securing the Registry

Describe the issue: 
After having secured several registries on my own, I have noticed that every time  I get to step 8, which does nothing more than validate step 7, we indicate that the user should run `oc log <name_of_docker_registry_pod>` and every time it returns the message below:
log is DEPRECATED and will be removed in a future version. Use logs instead.

Suggestions for improvement: 
Simply add an s to the command so that we are not perpetuating the usage of `oc log` when we plan to remove it at some point.
Comment 1 Ashley Hardin 2016-02-02 12:10:58 EST
https://github.com/openshift/openshift-docs/pull/1530

@Eric - Please review my edits and let me know if this satisfies your request. Thanks!
Comment 2 Eric Jones 2016-02-02 12:12:48 EST
@Ashley

Yup that was the only one that I was able to find, and that is the simple change that was necessary. Thanks for fixing it!
Comment 3 Ashley Hardin 2016-02-02 12:18:56 EST
@Eric
Yeah, this was the only instance I was able to find as well. Thanks!
Comment 4 openshift-github-bot 2016-02-08 10:38:55 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/7af59d9091ee259ab926a7be4f942950c17454a0
Bug 1303159, changed oc log to oc logs

https://github.com/openshift/openshift-docs/commit/cb414eadfe37bb8648b962a77702f6a30c22691d
Merge pull request #1530 from ahardin-rh/oc-log

Bug 1303159, changed oc log to oc logs

Note You need to log in before you can comment on or make changes to this bug.